{
  pkgs,
  flake,
  ...
}: let
  inherit (flake.config.service.instance) samba jellyfin;
in {
  # If you ever need to start fresh, you need to add yourself to the Samba users database:
  # sudo smbpasswd -a username
  services = {
    samba = {
      package = pkgs.samba4Full;
      enable = true;
      openFirewall = true;
      settings = {
        ${samba.paths.path1} = {
          path = jellyfin.paths.path0;
          writable = "true";
        };
      };
    };
  };

  networking = {
    firewall = {
      allowedTCPPorts = [
        samba.ports.port0
      ];
    };
  };
}
